<?xml version="1.0"?>

<project name="SWTCalendar" default="jar" basedir=".">
    <property name="build.dir" value="classes"/>
    <property name="lib.dir" value="lib"/>
    <property name="src.dir" value="src"/>

    <target name="prepare">
        <mkdir dir="${build.dir}"/>
    </target>

    <target name="compile" depends="prepare">
        <javac srcdir="${src.dir}" destdir="${build.dir}" classpath="${lib.dir}/swt.jar"/>
    </target>

    <target name="jar" depends="compile">
        <jar jarfile="swtcalendar.jar" basedir="${build.dir}" includes="org/**"/>
    </target>

    <target name="clean">
        <delete dir="${build.dir}"/>
    </target>

    <target name="demo1" depends="compile">
        <java classpath="${lib.dir}/swt.jar;${build.dir}"
            classname="demo.EmbeddedDemo" fork="yes">
        </java>
    </target>

    <target name="demo2" depends="compile">
        <java classpath="${lib.dir}/swt.jar;${build.dir}"
            classname="demo.DialogDemo" fork="yes">
        </java>
    </target>
</project>

